one-sessions-get-many¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256246879Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
getLambda:
jef-one-get-14
Endpoint¶
API Name:
jef-oneAction Name:
getMethod:
GETScope Label:
GETResource Path:
/one-sessions-get-manyComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-14curl payload mode:
none
API Gateway Description¶
Function: jef-one-get-14
API Name: jef-one
Action: get
Method: GET
Resource Path: /one-sessions-get-many
Table:
- table: jef-one-sessions
- operation: get-many
Response Schema:
- exists: boolean
- message: string
- items: [{"session_id":"string","entity_number":"string","employee_number":"string","app_number":"string","app_type":"string","sqs_message_id":"string","status":"string","is_valid":"boolean","is_active":"boolean","expires_at":"string","created_at":"string","updated_at":"string","verified_at":"string","failure_reason":"string"}]
Request Payload¶
[]
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"session_id\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"app_number\":\"string\",\"app_type\":\"string\",\"sqs_message_id\":\"string\",\"status\":\"string\",\"is_valid\":\"boolean\",\"is_active\":\"boolean\",\"expires_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"verified_at\":\"string\",\"failure_reason\":\"string\"}]"
}
CMD curl¶
curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-get-many"
PowerShell curl¶
curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-get-many"